using System;

namespace Kvalifikacije_2
{
     class Ekskurzija
     {
         static void Main()
         {
             //Korak 1 - ucitavamo broj T

             int t = int.Parse(Console.ReadLine());

             //Korak 2 - za svako t ucitavamo broj ucenika n, broj bananica b, i broj grupa g zatim pitamo da li je broj (n+1-g)(n+2-g)/2 + g - 1 > b i ako jeste ispisujemo 'nie' a ako nije ispisujemo 'tak'

             for (int i = 0; i < t; i++) {
                 string[] unos = Console.ReadLine().Split();
                 long n = long.Parse(unos[0]);
                 long b = long.Parse(unos[1]);
                 long g = long.Parse(unos[2]);

                //Odredjujemo da li je broj n blizi broju (n/g+1)*g ili broju (n/g)*g 

                 long grupa = n / g;
                 long poslednjaGrupa = grupa + n % g;
                 if ((n / g + 1) * g - n < n - (n / g) * g) {
                     grupa = n / g + 1;
                     poslednjaGrupa = grupa - ((n / g + 1) * g - n);
                 }

                 long x = grupa * (grupa + 1) / 2;
                 long y = poslednjaGrupa * (poslednjaGrupa + 1) / 2;
                 long min = x * (g - 1) + y;
                 if (min > b) {
                     Console.WriteLine("Nie");
                 }
                 else {
                     Console.WriteLine("Tak");
                 }
             }

            //Objasnjenje

            //Kako bi svi clanovi jedne grupe dobili razlicit broj bananica toj grupi najmanje treba dati 1+...+n bananica sto se po formuli dobija kao n(n+1)/2 bananica
            //Najefikasniji nacin za podelu po grupama jeste da odredimo da li je broj n blizi broju (n/g+1)*g ili broju (n/g)*g 
            //Ako je blizi ili isti broju n/g*g onda je najefikasniji nacin za podelu jeste da napravimo g-1 grupa sa n/g clanova i poslednju grupu sa n/g+n%g clanova
            //U suprotnom ima g-1 grupa sa po n/g+1 clanova i poslednja grupa ima n/g+1-((n / g + 1) * g - n) clanova
            //Odredjujemo najmanji broj bananica koje treba profesor imati kako bi podelio svi ucenicima i taj broj je grupa * (grupa + 1) / 2*(g-1)+poslednjaGrupa * (poslednjaGrupa + 1) / 2
            //Ako je minimalan broj potrebnih bananica veci od ukupnog broja bananica ispisujemo nie u suprotrnom ispisujemo tak
        }
    }
}